  body,
  html {
  	margin: 0;
  	padding: 0;
  	font-family: Arial, sans-serif;
  	display: flex;
  	flex-direction: column;
  	align-items: center;
  	justify-content: center;
  	/*height: 100vh;*/
  	background: url('../img/bgimg.jpg') no-repeat center center fixed;
  	background-size: cover;
  	overflow-y: hidden;
  	width: 100%;
  }

  .container {
  	width: 100%;
  	height: 100%;
  	position: relative;
  }

  .stamp-area {
  	position: absolute;
  	width: 340px;
  	/* 调整这个值以适应你的需求 */
  	height: 340px;
  	/* 调整这个值以适应你的需求 */
  	/* border: 2px dashed #000; */
  	top: 50%;
  	left: 50%;
  	transform: translate(-50%, -50%);
  }

  .line {
  	padding: 8px 12px;
  	color: #000000;
  }

  .dot {
  	position: absolute;
  	background-color: #ff0000;
  	width: 16px;
  	height: 16px;
  	border-radius: 50%;
  }

  .successMessage {
  	position: absolute;
  	top: 50%;
  	left: 50%;
  	transform: translate(-50%, -50%);
  	display: none;
  	text-align: center;
  	font-size: 24px;
  	color: green;
  }

  .errorMessage {
  	position: absolute;
  	top: 50%;
  	left: 50%;
  	transform: translate(-50%, -50%);
  	display: none;
  	text-align: center;
  	font-size: 24px;
  	color: green;
  	z-index: 10000;
  }

  .coordinates {
  	position: absolute;
  	bottom: 10px;
  	left: 50%;
  	transform: translateX(-50%);
  }




  .container1 {
  	text-align: center;
  	/* background: url(img/bgimg.jpg); */
  	padding: 20px;
  	border-radius: 10px;
  	/* box-shadow: 0 0 10px rgba(0, 0, 0, 0.5); */
  }

  header h1 {
  	font-size: 2em;
  	color: #f00;
  	margin-bottom: 0;
  }

  header p {
  	font-size: 1.2em;
  	color: #444;
  	margin: 0;
  }

  .turnplate {
  	position: relative;
  	margin: 20px 0;
  }

  .yz {
  	position: absolute;
	height: 78px;
	width: 78px;
  	left: 50%;
  	top: 50%;
	border-radius:50% ;
  	transform: translate(-50%, -50%);
	background-color:#DB1931;
  }
.stamp-button {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100px;
    height: 100px;
    /* background: linear-gradient(145deg, #E52D50, #A81832); /* 渐变背景 */ */
    border-radius: 50%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
	box-shadow: #666 2px 2px 2px 0px ;
	box-shadow: -6px 0 8px #d2d2d2, 0 -6px 6px #d2d2d2, 0 6px 8px #d2d2d2, 6px 0 8px #d2d2d2;
    transition: box-shadow 0.3s ease; /* 添加一点过渡效果 */
}

  .line1{
	  margin-top: 5px;
	  font-size: 20px;
	  color: #fff;
  }
  .line2{
	  color: #fff;
  }
  .stamp {
  	position: absolute;
  	top: 50%;
  	left: 50%;
  	transform: translate(-50%, -50%);
  	width: 80px;
  	height: 80px;
  	background-color: red;
  	color: white;
  	border-radius: 50%;
  	display: flex;
  	justify-content: center;
  	align-items: center;
  	font-size: 18px;
  	cursor: pointer;
  	user-select: none;
  	transition: transform 0.2s ease;
  	box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
  	z-index: 10;
  }

  .stamp:active {
  	transform: translate(-50%, -50%) scale(0.9);
  	background-color: darkred;
  }

  .arrow {
  	position: absolute;
  	top: 0px;
  	left: 50%;
  	transform: translateX(-50%);
  	z-index: 10;
  }

  footer {
	position: fixed;
	bottom: 10px;
	width: 100%;
	
  	text-align: center;
  	/*margin-top: 20px;*/
  }

  footer p {
     width: 100%; 
  	font-size: 0.9em;
  	color: #888;
  	margin: 0.5em 0;
  }

  .voucher {
      width: 100%;
  	display: flex;
  	align-items: center;
  	justify-content: center;
  	font-size: 1.1em;
  	color: #d00;
  }

  .voucher img {
  	width: 40px;
  	margin-right: 10px;
  }

  .line {
  	padding: 8px 12px;
  	color: #000000;
  }

  .dot {
  	position: absolute;
  	background-color: #ff0000;
  	width: 16px;
  	height: 16px;
  	border-radius: 50%;
  }

  .successMessage {
  	position: absolute;
  	top: 50%;
  	left: 50%;
  	transform: translate(-50%, -50%);
  	display: none;
  	text-align: center;
  	font-size: 24px;
  	color: green;
  }

  .iconBox2 {
  	height: 100%;
  	position: relative;
  }

  .iconBox {
  	height: 100%;
  	position: relative;
  }

  .loading,
  .wfqr {
  	position: absolute;
  	top: 50%;
  	transform: translate(-50%, -50%);

  }

  .wfqr {
  	z-index: 11;
  }

  .loading {
  	opacity: 0.5;
  	z-index: 22;
  }

  .messageBox {
  	position: absolute;
  	top: 64%;
  	left: 50%;
  	transform: translateX(-50%);
  	z-index: 223956;
  }

  .messageBox>div {
  	z-index: 23;
  	color: #fff;
  	font-size: 15px;
  }

  .overlay {
  	display: none;
  	transition: all 1s;
  	opacity: 0;
  	position: fixed;
  	left: 0;
  	top: 0;
  	width: 100%;
  	height: 100%;
  	background-color: rgba(0, 0, 0, 0.7);
  	/* 半透明的黑色背景 */
  	z-index: 1000;
  	/* 确保遮罩层在最上层 */
  }

  #overlay1 {
  	display: none;
  	transition: all 1s;
  	opacity: 0;
  	position: fixed;
  	left: 0;
  	top: 0;
  	width: 100%;
  	height: 100%;
  	background-color: rgba(0, 0, 0, 0.7);
  	/* 半透明的黑色背景 */
  	z-index: 1000;
  	/* 确保遮罩层在最上层 */
  }

  #overlay2 {
  	display: none;
  	transition: all 1s;
  	opacity: 0;
  	position: fixed;
  	left: 0;
  	top: 0;
  	width: 100%;
  	height: 100%;
  	background-color: rgba(0, 0, 0, 0.7);
  	/* 半透明的黑色背景 */
  	z-index: 1000;
  }

  .overlay3 {
  	display: none;
  	transition: all 1s;
  	/* opacity: 0; */
  	position: fixed;
  	left: 0;
  	top: 0;
  	width: 100%;
  	height: 100%;
  	background-color: rgba(0, 0, 0, 0.7);
  	/* 半透明的黑色背景 */
  	z-index: 1200;
  }

  .overlay3.show {
  	display: block;
  	opacity: 1;
  	transition: all 1s;
  }

  .overlay3.hide {
  	opacity: 0;
  }

  #overlay2.show {
  	display: block;
  	opacity: 1;
  	transition: all 1s;
  }

  #overlay2.hide {
  	opacity: 0;
  }

  .overlay.show {
  	display: block;
  	opacity: 1;
  	transition: all 1s;
  }

  .overlay.hide {
  	opacity: 0;
  }